import request from '@/utils/request'

// 查询订单电话通知师傅记录列表
export function listNotifyOrder(query) {
  return request({
    url: '/system/NotifyOrder/list',
    method: 'get',
    params: query
  })
}

// 查询订单电话通知师傅记录详细
export function getNotifyOrder(id) {
  return request({
    url: '/system/NotifyOrder/' + id,
    method: 'get'
  })
}

// 新增订单电话通知师傅记录
export function addNotifyOrder(data) {
  return request({
    url: '/system/NotifyOrder',
    method: 'post',
    data: data
  })
}

// 修改订单电话通知师傅记录
export function updateNotifyOrder(data) {
  return request({
    url: '/system/NotifyOrder',
    method: 'put',
    data: data
  })
}

// 删除订单电话通知师傅记录
export function delNotifyOrder(id) {
  return request({
    url: '/system/NotifyOrder/' + id,
    method: 'delete'
  })
}
